Campaigns
List campaigns
RankShark EnhanceScopecampaigns:read
GET
header
AuthorizationBearer <token>An Enhance API key (rsen_…) or an OAuth 2.1 access token, as "Authorization: Bearer …".
search?stringText in the campaign name, target or keyword
status?stringValue in
"running""stopped""completed"offset?integerRange
0 <= valueDefault
0limit?integerDefault 100, at most 1000
Range
1 <= value <= 1000Default
100A page of campaigns (archived ones are not included)
application/json- response
total*integerMatching campaigns
offset*integerlimit*integeritems*array<>curl -X GET 'https://panel.rankshark.io/api/v1/campaigns'Example Response
{ "total": 0, "offset": 0, "limit": 0, "items": [ { "Id": "string", "CampaignName": "string", "TargetKeywod": "string", "TargetWebsiteOrBusinessName": "string", "Tags": [ "string" ], "CreatedDate": "2019-08-24T14:15:22Z", "lastStatus": "string", "Running": true, "Stopped": true, "Completed": true, "TotalVisitorsSent": 0, "DailyVisitorsSent": 0, "DailyVisitorsLimit": 0, "Configuration": {}, "Tasks": [ {} ], "FlowGraph": "string" } ]}